<template>
  <el-container>
    <el-aside width="200px" style="padding-top:20px">
      <el-menu
        default-active="/experiment-objective"
        class="el-menu-vertical-demo"
        @open="handleOpen"
        @close="handleClose"
        router
      >
        <el-menu-item index="/experiment-objective">
          <i class="el-icon-menu"></i>
          <span slot="title">实验目的</span>
        </el-menu-item>
        <el-menu-item index="/experiment-principle">
          <i class="el-icon-menu"></i>
          <span slot="title">实验原理</span>
        </el-menu-item>
        <el-menu-item index="/experiment-devices">
          <i class="el-icon-menu"></i>
          <span slot="title">实验仪器设备</span>
        </el-menu-item>
        <el-menu-item index="/experiment-material">
          <i class="el-icon-menu"></i>
          <span slot="title">实验材料</span>
        </el-menu-item>
        <el-menu-item index="/experiment-function">
          <i class="el-icon-menu"></i>
          <span slot="title">实验教学方法</span>
        </el-menu-item>
        <el-menu-item index="/experiment-steps">
          <i class="el-icon-menu"></i>
          <span slot="title">实验方法与步骤</span>
        </el-menu-item>
        <el-menu-item index="/experiment-result">
          <i class="el-icon-menu"></i>
          <span slot="title">实验结果与结论要求</span>
        </el-menu-item>
        <el-menu-item index="/experiment-requires">
          <i class="el-icon-menu"></i>
          <span slot="title">实验考核要求</span>
        </el-menu-item>
        <el-menu-item index="/experiment-examination">
          <i class="el-icon-menu"></i>
          <span slot="title">开始实验</span>
        </el-menu-item>
        <el-menu-item index="/experiment-report">
          <i class="el-icon-menu"></i>
          <span slot="title">实验报告</span>
        </el-menu-item>
      </el-menu>
    </el-aside>
    <el-main style="padding-top:0px">
      <router-view></router-view>
    </el-main>
  </el-container>
</template>
<script>
export default {
  name: "experiment",
  mounted() {
    console.log(this.$router.options.routes);
  },
  methods: {
    handleOpen(key, keyPath) {
      console.log(key, keyPath);
    },
    handleClose(key, keyPath) {
      console.log(key, keyPath);
    }
  }
};
</script>
<style lang="scss" scoped>
.el-menu {
  display: block;
}
.el-menu .el-menu-item {
  text-align: left;
  width: 150px;
}
</style>
